///File : wxMain.hpp
//------------------------------------------------------------------------------
/*
    This file is part of massmol.

    massmol is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    massmol is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with massmol.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#ifndef WX_MAIN_HPP
#define WX_MAIN_HPP
//------------------------------------------------------------------------------
#include "MainPanel.hpp"
//------------------------------------------------------------------------------

class App : public wxApp
{
public:
    virtual bool OnInit();
private:
    wxLocale m_locale;
};

//------------------------------------------------------------------------------
class MainFrame : public wxFrame
{
public:
    MainFrame(const wxString& title, const wxPoint& pos, const wxSize& size, long style = wxDEFAULT_FRAME_STYLE);
private:
    MainPanel *m_panel1;
};
//------------------------------------------------------------------------------
#endif //WX_MAIN_HPP

